<div nxRow>
    <div nxCol="12, 12, 4" colOffset="0, 0, 2">
      <nx-formfield label="Filter:">
          <nx-multi-select
              placeholder="Style"
              [options]="options"
              selectLabel="value"
              selectValue="id"
              (selectionChange)="filter($event)"
          ></nx-multi-select>
      </nx-formfield>
    </div>
    <div nxCol="12, 12, 4">
        <nx-formfield label="Sort by:">
            <nx-dropdown placeholder="Recommendation" [value]="category" (selectionChange)="sorting($event)">
                <nx-dropdown-item
                    *ngFor="let sort of sortLists"
                    [value]="sort"
                    
                ></nx-dropdown-item>
            </nx-dropdown>
        </nx-formfield>
    </div>
  </div>
  <div nxRow>
    <div nxCol="12,6, 4,3" *ngFor="let collection of collections; let i = index"  class="nx-margin-bottom-2m">
      <nx-card>
        <figure nxFigure="auto" class="img-wrap">
            <img
                [src]="collection.image_id"
                [alt]="collection.alt_titles"
                (error)="handleImageError(i)"
            />
        </figure>
        <nx-card-header>
            <h3 nxHeadline="subsection-small" [title]="collection.title" class="card-title nx-margin-top-m nx-margin-bottom-m">
                {{collection.title}}
            </h3>
        </nx-card-header>
        <p nxHeadline="subsection-xsmall" [title]="collection.artist_title" class="card-title nx-margin-bottom-s">
          {{collection.artist_title}}
        </p>
        <p nxCopytext="normal" class="card-content">
          {{collection.location}} <br />
          {{collection.material_titles.join(', ') || '-' }}
        </p>
      
      </nx-card>
    </div>
</div>